Debian Bug report logs - #553413
proc(5): Add field numbers

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Sat, 31 Oct 2009 02:48:01 UTC

Severity: minor

Tags: fixed-upstream, patch, upstream

Found in version manpages/3.22-1

Fixed in version manpages/3.51-1

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#553413; Package manpages. (Sat, 31 Oct 2009 02:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 31 Oct 2009 02:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: proc(5): Add field numbers
Date: Sat, 31 Oct 2009 03:02:25 +0100
[Message part 1 (text/plain, inline)]
Package: manpages
Version: 3.22-1
Severity: minor
Tags: patch

Hello,

To make it easier to use cut to select the desired fields, it is useful
to have the field numbers in the documentation. The attached patch does
this.

Samuel

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

manpages depends on no packages.

manpages recommends no packages.

Versions of packages manpages suggests:
ii  konqueror [man-browser]       4:4.3.1-1  KDE 4's advanced file manager, web
ii  man-db [man-browser]          2.5.6-3    on-line manual pager

-- no debconf information
[patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#553413; Package manpages. (Mon, 19 Nov 2012 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 553413@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Mon, 19 Nov 2012 21:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 553413@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: mtk.manpages@gmail.com, 553413@bugs.debian.org
Subject: Re: Bug#553413: proc(5): Add field numbers
Date: Mon, 19 Nov 2012 21:57:09 +0100
Control: tag -1 +upstream

On Sat, Oct 31, 2009 at 03:02:25AM +0100, Samuel Thibault wrote:
> Package: manpages
> Version: 3.22-1
> Severity: minor
> Tags: patch
> 
> To make it easier to use cut to select the desired fields, it is useful
> to have the field numbers in the documentation. The attached patch does
> this.

Michael, this is a improvement that could be upstreamed, are you interested ?

> --- proc.5.orig	2009-10-31 02:49:17.000000000 +0100
> +++ proc.5	2009-10-31 03:00:48.000000000 +0100
> @@ -607,64 +607,64 @@
>  format specifiers, are:
>  .RS
>  .TP 12
> -\fIpid\fP %d
> +(1) \fIpid\fP %d
>  The process ID.
>  .TP
> -\fIcomm\fP %s
> +(2) \fIcomm\fP %s
>  The filename of the executable, in parentheses.
>  This is visible whether or not the executable is swapped out.
>  .TP
> -\fIstate\fP %c
> +(3) \fIstate\fP %c
>  One character from the string "RSDZTW" where R is running, S is
>  sleeping in an interruptible wait, D is waiting in uninterruptible
>  disk sleep, Z is zombie, T is traced or stopped (on a signal),
>  and W is paging.
>  .TP
> -\fIppid\fP %d
> +(4) \fIppid\fP %d
>  The PID of the parent.
>  .TP
> -\fIpgrp\fP %d
> +(5) \fIpgrp\fP %d
>  The process group ID of the process.
>  .TP
> -\fIsession\fP %d
> +(6) \fIsession\fP %d
>  The session ID of the process.
>  .TP
> -\fItty_nr\fP %d
> +(7) \fItty_nr\fP %d
>  The controlling terminal of the process.
>  (The minor device number is contained in the combination of bits
>  31 to 20 and 7 to 0;
>  the major device number is in bits 15 t0 8.)
>  .TP
> -\fItpgid\fP %d
> +(8) \fItpgid\fP %d
>  .\" This field and following, up to and including wchan added 0.99.1
>  The ID of the foreground process group of the controlling
>  terminal of the process.
>  .TP
> -\fIflags\fP %u (%lu before Linux 2.6.22)
> +(9) \fIflags\fP %u (%lu before Linux 2.6.22)
>  The kernel flags word of the process.
>  For bit meanings,
>  see the PF_* defines in
>  .IR <linux/sched.h> .
>  Details depend on the kernel version.
>  .TP
> -\fIminflt\fP %lu
> +(10) \fIminflt\fP %lu
>  The number of minor faults the process has made which have not
>  required loading a memory page from disk.
>  .TP
>  .\" field 11
> -\fIcminflt\fP %lu
> +(11) \fIcminflt\fP %lu
>  The number of minor faults that the process's
>  waited-for children have made.
>  .TP
> -\fImajflt\fP %lu
> +(12) \fImajflt\fP %lu
>  The number of major faults the process has made which have
>  required loading a memory page from disk.
>  .TP
> -\fIcmajflt\fP %lu
> +(13) \fIcmajflt\fP %lu
>  The number of major faults that the process's
>  waited-for children have made.
>  .TP
> -\fIutime\fP %lu
> +(14) \fIutime\fP %lu
>  Amount of time that this process has been scheduled in user mode,
>  measured in clock ticks (divide by
>  .IR sysconf(_SC_CLK_TCK) .
> @@ -673,12 +673,12 @@
>  so that applications that are not aware of the guest time field
>  do not lose that time from their calculations.
>  .TP
> -\fIstime\fP %lu
> +(15) \fIstime\fP %lu
>  Amount of time that this process has been scheduled in kernel mode,
>  measured in clock ticks (divide by
>  .IR sysconf(_SC_CLK_TCK) .
>  .TP
> -\fIcutime\fP %ld
> +(16) \fIcutime\fP %ld
>  Amount of time that this process's
>  waited-for children have been scheduled in user mode,
>  measured in clock ticks (divide by
> @@ -688,13 +688,13 @@
>  This includes guest time, \fIcguest_time\fP
>  (time spent running a virtual CPU, see below).
>  .TP
> -\fIcstime\fP %ld
> +(17) \fIcstime\fP %ld
>  Amount of time that this process's
>  waited-for children have been scheduled in kernel mode,
>  measured in clock ticks (divide by
>  .IR sysconf(_SC_CLK_TCK) .
>  .TP
> -\fIpriority\fP %ld
> +(18) \fIpriority\fP %ld
>  (Explanation for Linux 2.6)
>  For processes running a real-time scheduling policy
>  .RI ( policy
> @@ -715,7 +715,7 @@
>  the scheduler weighting given to this process.
>  .\" And back in kernel 1.2 days things were different again.
>  .TP
> -\fInice\fP %ld
> +(19) \fInice\fP %ld
>  The nice value (see
>  .BR setpriority (2)),
>  a value in the range 19 (low priority) to \-20 (high priority).
> @@ -730,81 +730,81 @@
>  .\" \fItimeout\fP %u
>  .\" The time in jiffies of the process's next timeout.
>  .\" timeout was removed sometime around 2.1/2.2
> -\fInum_threads\fP %ld
> +(20) \fInum_threads\fP %ld
>  Number of threads in this process (since Linux 2.6).
>  Before kernel 2.6, this field was hard coded to 0 as a placeholder
>  for an earlier removed field.
>  .TP
>  .\" field 21
> -\fIitrealvalue\fP %ld
> +(21) \fIitrealvalue\fP %ld
>  The time in jiffies before the next
>  .B SIGALRM
>  is sent to the process due to an interval timer.
>  Since kernel 2.6.17, this field is no longer maintained,
>  and is hard coded as 0.
>  .TP
> -\fIstarttime\fP %llu (was %lu before Linux 2.6)
> +(22) \fIstarttime\fP %llu (was %lu before Linux 2.6)
>  The time in jiffies the process started after system boot.
>  .TP
> -\fIvsize\fP %lu
> +(23) \fIvsize\fP %lu
>  Virtual memory size in bytes.
>  .TP
> -\fIrss\fP %ld
> +(24) \fIrss\fP %ld
>  Resident Set Size: number of pages the process has in real memory.
>  This is just the pages which
>  count towards text, data, or stack space.
>  This does not include pages
>  which have not been demand-loaded in, or which are swapped out.
>  .TP
> -\fIrsslim\fP %lu
> +(25) \fIrsslim\fP %lu
>  Current soft limit in bytes on the rss of the process;
>  see the description of
>  .B RLIMIT_RSS
>  in
>  .BR getpriority (2).
>  .TP
> -\fIstartcode\fP %lu
> +(26) \fIstartcode\fP %lu
>  The address above which program text can run.
>  .TP
> -\fIendcode\fP %lu
> +(27) \fIendcode\fP %lu
>  The address below which program text can run.
>  .TP
> -\fIstartstack\fP %lu
> +(28) \fIstartstack\fP %lu
>  The address of the start (i.e., bottom) of the stack.
>  .TP
> -\fIkstkesp\fP %lu
> +(29) \fIkstkesp\fP %lu
>  The current value of ESP (stack pointer), as found in the
>  kernel stack page for the process.
>  .TP
> -\fIkstkeip\fP %lu
> +(30) \fIkstkeip\fP %lu
>  The current EIP (instruction pointer).
>  .TP
>  .\" field 31
> -\fIsignal\fP %lu
> +(31) \fIsignal\fP %lu
>  The bitmap of pending signals, displayed as a decimal number.
>  Obsolete, because it does not provide information on real-time signals; use
>  .I /proc/[pid]/status
>  instead.
>  .TP
> -\fIblocked\fP %lu
> +(32) \fIblocked\fP %lu
>  The bitmap of blocked signals, displayed as a decimal number.
>  Obsolete, because it does not provide information on real-time signals; use
>  .I /proc/[pid]/status
>  instead.
>  .TP
> -\fIsigignore\fP %lu
> +(33) \fIsigignore\fP %lu
>  The bitmap of ignored signals, displayed as a decimal number.
>  Obsolete, because it does not provide information on real-time signals; use
>  .I /proc/[pid]/status
>  instead.
>  .TP
> -\fIsigcatch\fP %lu
> +(34) \fIsigcatch\fP %lu
>  The bitmap of caught signals, displayed as a decimal number.
>  Obsolete, because it does not provide information on real-time signals; use
>  .I /proc/[pid]/status
>  instead.
>  .TP
> -\fIwchan\fP %lu
> +(35) \fIwchan\fP %lu
>  This is the "channel" in which the process is waiting.
>  It is the
>  address of a system call, and can be looked up in a namelist if you
> @@ -814,42 +814,42 @@
>  then
>  try \fIps \-l\fP to see the WCHAN field in action.)
>  .TP
> -\fInswap\fP %lu
> +(36) \fInswap\fP %lu
>  .\" nswap was added in 2.0
>  Number of pages swapped (not maintained).
>  .TP
> -\fIcnswap\fP %lu
> +(37) \fIcnswap\fP %lu
>  .\" cnswap was added in 2.0
>  Cumulative \fInswap\fP for child processes (not maintained).
>  .TP
> -\fIexit_signal\fP %d (since Linux 2.1.22)
> +(38) \fIexit_signal\fP %d (since Linux 2.1.22)
>  Signal to be sent to parent when we die.
>  .TP
> -\fIprocessor\fP %d (since Linux 2.2.8)
> +(39) \fIprocessor\fP %d (since Linux 2.2.8)
>  CPU number last executed on.
>  .TP
> -\fIrt_priority\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
> +(40) \fIrt_priority\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
>  Real-time scheduling priority, a number in the range 1 to 99 for
>  processes scheduled under a real-time policy,
>  or 0, for non-real-time processes (see
>  .BR sched_setscheduler (2)).
>  .TP
>  .\" field 41
> -\fIpolicy\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
> +(41) \fIpolicy\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
>  Scheduling policy (see
>  .BR sched_setscheduler (2)).
>  Decode using the SCHED_* constants in
>  .IR linux/sched.h .
>  .TP
> -\fIdelayacct_blkio_ticks\fP %llu (since Linux 2.6.18)
> +(42) \fIdelayacct_blkio_ticks\fP %llu (since Linux 2.6.18)
>  Aggregated block I/O delays, measured in clock ticks (centiseconds).
>  .TP
> -\fIguest_time\fP %lu (since Linux 2.6.24)
> +(43) \fIguest_time\fP %lu (since Linux 2.6.24)
>  Guest time of the process (time spent running a virtual CPU
>  for a guest operating system), measured in clock ticks (divide by
>  .IR sysconf(_SC_CLK_TCK) .
>  .TP
> -\fIcguest_time\fP %ld (since Linux 2.6.24)
> +(44) \fIcguest_time\fP %ld (since Linux 2.6.24)
>  Guest time of the process's children, measured in clock ticks (divide by
>  .IR sysconf(_SC_CLK_TCK) .
>  .RE
> @@ -860,17 +860,17 @@
>  .in +4n
>  .nf
>  
> -size       total program size
> -           (same as VmSize in \fI/proc/[pid]/status\fP)
> -resident   resident set size
> -           (same as VmRSS in \fI/proc/[pid]/status\fP)
> -share      shared pages (from shared mappings)
> -text       text (code)
> +(1) size       total program size
> +               (same as VmSize in \fI/proc/[pid]/status\fP)
> +(2) resident   resident set size
> +               (same as VmRSS in \fI/proc/[pid]/status\fP)
> +(3) share      shared pages (from shared mappings)
> +(4) text       text (code)
>  .\" (not including libs; broken, includes data segment)
> -lib        library (unused in Linux 2.6)
> -data       data + stack
> +(5) lib        library (unused in Linux 2.6)
> +(6) data       data + stack
>  .\" (including libs; broken, includes library text)
> -dt         dirty pages (unused in Linux 2.6)
> +(7) dt         dirty pages (unused in Linux 2.6)
>  .fi
>  .in
>  .TP
> @@ -1195,16 +1195,16 @@
>  
>  .in +4n
>  .nf
> -cache              buffer size in KB
> -capacity           number of sectors
> -driver             driver version
> -geometry           physical and logical geometry
> -identify           in hexadecimal
> -media              media type
> -model              manufacturer's model number
> -settings           drive settings
> -smart_thresholds   in hexadecimal
> -smart_values       in hexadecimal
> +(1)  cache              buffer size in KB
> +(2)  capacity           number of sectors
> +(3)  driver             driver version
> +(4)  geometry           physical and logical geometry
> +(5)  identify           in hexadecimal
> +(6)  media              media type
> +(7)  model              manufacturer's model number
> +(8)  settings           drive settings
> +(9)  smart_thresholds   in hexadecimal
> +(10) smart_values       in hexadecimal
>  .fi
>  .in
>  
> @@ -1606,13 +1606,13 @@
>  .in +4n
>  .nf
>  
> -cache-name
> -num-active-objs
> -total-objs
> -object-size
> -num-active-slabs
> -total-slabs
> -num-pages-per-slab
> +(1) cache-name
> +(2) num-active-objs
> +(3) total-objs
> +(4) object-size
> +(5) num-active-slabs
> +(6) total-slabs
> +(7) num-pages-per-slab
>  .fi
>  .in
>  
> @@ -1633,8 +1633,8 @@
>  .IR sysconf(_SC_CLK_TCK)
>  to obtain the right value),
>  .\" 1024 on Alpha and ia64
> -that the system spent in user mode,
> -user mode with low priority (nice), system mode, and the
> +that the system spent in (1) user mode,
> +(2) user mode with low priority (nice), (3) system mode, and (4) the
>  idle task, respectively.
>  .\" FIXME Actually, the following info about the /proc/stat 'cpu' field
>  .\"       does not seem to be quite right (at least in 2.6.12)
> @@ -1642,19 +1642,24 @@
>  second entry in the uptime pseudo-file.
>  
>  In Linux 2.6 this line includes three additional columns:
> +(5)
>  .I iowait
>  \- time waiting for I/O to complete (since 2.5.41);
> +(6)
>  .I irq
>  \- time servicing interrupts (since 2.6.0-test4);
> +(7)
>  .I softirq
>  \- time servicing softirqs (since 2.6.0-test4).
>  
>  Since Linux 2.6.11, there is an eighth column,
> +(8)
>  .I steal
>  \- stolen time, which is the time spent in other operating systems when
>  running in a virtualized environment
>  
>  Since Linux 2.6.24, there is a ninth column,
> +(9)
>  .IR guest ,
>  which is the time spent running a virtual CPU for guest
>  operating systems under the control of the Linux kernel.
> @@ -1756,18 +1761,22 @@
>  (pages requested by system) and two dummy values.
>  .RS
>  .IP * 2
> +(1)
>  .I nr_dentry
>  is the number of allocated dentries (dcache entries).
>  This field is unused in Linux 2.2.
>  .IP *
> +(2)
>  .I nr_unused
>  is the number of unused dentries.
>  .IP *
> +(3)
>  .I age_limit
>  .\" looks like this is unused in kernels 2.2 to 2.6
>  is the age in seconds after which dcache entries
>  can be reclaimed when memory is short.
>  .IP *
> +(4)
>  .I want_pages
>  .\" looks like this is unused in kernels 2.2 to 2.6
>  is non-zero when the kernel has called shrink_dcache_pages() and the


-- 
Simon Paillard



Added tag(s) upstream. Request was from Simon Paillard <spaillard@debian.org> to 553413-submit@bugs.debian.org. (Mon, 19 Nov 2012 21:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#553413; Package manpages. (Sat, 15 Dec 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sat, 15 Dec 2012 18:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 553413@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: 553413@bugs.debian.org
Cc: Samuel Thibault <sthibault@debian.org>, Simon Paillard <spaillard@debian.org>
Subject: Re: Bug#553413: proc(5): Add field numbers
Date: Sat, 15 Dec 2012 19:46:43 +0100
On Mon, Nov 19, 2012 at 9:57 PM, Simon Paillard <spaillard@debian.org> wrote:
> Control: tag -1 +upstream
>
> On Sat, Oct 31, 2009 at 03:02:25AM +0100, Samuel Thibault wrote:
>> Package: manpages
>> Version: 3.22-1
>> Severity: minor
>> Tags: patch
>>
>> To make it easier to use cut to select the desired fields, it is useful
>> to have the field numbers in the documentation. The attached patch does
>> this.
>
> Michael, this is a improvement that could be upstreamed, are you interested ?

I'd be interested but it doesn't apply cleanly to current usptream --
many hunks rejected. Could you or Samuel draft a version against
upstream?

hanks,

Michael


>> --- proc.5.orig       2009-10-31 02:49:17.000000000 +0100
>> +++ proc.5    2009-10-31 03:00:48.000000000 +0100
>> @@ -607,64 +607,64 @@
>>  format specifiers, are:
>>  .RS
>>  .TP 12
>> -\fIpid\fP %d
>> +(1) \fIpid\fP %d
>>  The process ID.
>>  .TP
>> -\fIcomm\fP %s
>> +(2) \fIcomm\fP %s
>>  The filename of the executable, in parentheses.
>>  This is visible whether or not the executable is swapped out.
>>  .TP
>> -\fIstate\fP %c
>> +(3) \fIstate\fP %c
>>  One character from the string "RSDZTW" where R is running, S is
>>  sleeping in an interruptible wait, D is waiting in uninterruptible
>>  disk sleep, Z is zombie, T is traced or stopped (on a signal),
>>  and W is paging.
>>  .TP
>> -\fIppid\fP %d
>> +(4) \fIppid\fP %d
>>  The PID of the parent.
>>  .TP
>> -\fIpgrp\fP %d
>> +(5) \fIpgrp\fP %d
>>  The process group ID of the process.
>>  .TP
>> -\fIsession\fP %d
>> +(6) \fIsession\fP %d
>>  The session ID of the process.
>>  .TP
>> -\fItty_nr\fP %d
>> +(7) \fItty_nr\fP %d
>>  The controlling terminal of the process.
>>  (The minor device number is contained in the combination of bits
>>  31 to 20 and 7 to 0;
>>  the major device number is in bits 15 t0 8.)
>>  .TP
>> -\fItpgid\fP %d
>> +(8) \fItpgid\fP %d
>>  .\" This field and following, up to and including wchan added 0.99.1
>>  The ID of the foreground process group of the controlling
>>  terminal of the process.
>>  .TP
>> -\fIflags\fP %u (%lu before Linux 2.6.22)
>> +(9) \fIflags\fP %u (%lu before Linux 2.6.22)
>>  The kernel flags word of the process.
>>  For bit meanings,
>>  see the PF_* defines in
>>  .IR <linux/sched.h> .
>>  Details depend on the kernel version.
>>  .TP
>> -\fIminflt\fP %lu
>> +(10) \fIminflt\fP %lu
>>  The number of minor faults the process has made which have not
>>  required loading a memory page from disk.
>>  .TP
>>  .\" field 11
>> -\fIcminflt\fP %lu
>> +(11) \fIcminflt\fP %lu
>>  The number of minor faults that the process's
>>  waited-for children have made.
>>  .TP
>> -\fImajflt\fP %lu
>> +(12) \fImajflt\fP %lu
>>  The number of major faults the process has made which have
>>  required loading a memory page from disk.
>>  .TP
>> -\fIcmajflt\fP %lu
>> +(13) \fIcmajflt\fP %lu
>>  The number of major faults that the process's
>>  waited-for children have made.
>>  .TP
>> -\fIutime\fP %lu
>> +(14) \fIutime\fP %lu
>>  Amount of time that this process has been scheduled in user mode,
>>  measured in clock ticks (divide by
>>  .IR sysconf(_SC_CLK_TCK) .
>> @@ -673,12 +673,12 @@
>>  so that applications that are not aware of the guest time field
>>  do not lose that time from their calculations.
>>  .TP
>> -\fIstime\fP %lu
>> +(15) \fIstime\fP %lu
>>  Amount of time that this process has been scheduled in kernel mode,
>>  measured in clock ticks (divide by
>>  .IR sysconf(_SC_CLK_TCK) .
>>  .TP
>> -\fIcutime\fP %ld
>> +(16) \fIcutime\fP %ld
>>  Amount of time that this process's
>>  waited-for children have been scheduled in user mode,
>>  measured in clock ticks (divide by
>> @@ -688,13 +688,13 @@
>>  This includes guest time, \fIcguest_time\fP
>>  (time spent running a virtual CPU, see below).
>>  .TP
>> -\fIcstime\fP %ld
>> +(17) \fIcstime\fP %ld
>>  Amount of time that this process's
>>  waited-for children have been scheduled in kernel mode,
>>  measured in clock ticks (divide by
>>  .IR sysconf(_SC_CLK_TCK) .
>>  .TP
>> -\fIpriority\fP %ld
>> +(18) \fIpriority\fP %ld
>>  (Explanation for Linux 2.6)
>>  For processes running a real-time scheduling policy
>>  .RI ( policy
>> @@ -715,7 +715,7 @@
>>  the scheduler weighting given to this process.
>>  .\" And back in kernel 1.2 days things were different again.
>>  .TP
>> -\fInice\fP %ld
>> +(19) \fInice\fP %ld
>>  The nice value (see
>>  .BR setpriority (2)),
>>  a value in the range 19 (low priority) to \-20 (high priority).
>> @@ -730,81 +730,81 @@
>>  .\" \fItimeout\fP %u
>>  .\" The time in jiffies of the process's next timeout.
>>  .\" timeout was removed sometime around 2.1/2.2
>> -\fInum_threads\fP %ld
>> +(20) \fInum_threads\fP %ld
>>  Number of threads in this process (since Linux 2.6).
>>  Before kernel 2.6, this field was hard coded to 0 as a placeholder
>>  for an earlier removed field.
>>  .TP
>>  .\" field 21
>> -\fIitrealvalue\fP %ld
>> +(21) \fIitrealvalue\fP %ld
>>  The time in jiffies before the next
>>  .B SIGALRM
>>  is sent to the process due to an interval timer.
>>  Since kernel 2.6.17, this field is no longer maintained,
>>  and is hard coded as 0.
>>  .TP
>> -\fIstarttime\fP %llu (was %lu before Linux 2.6)
>> +(22) \fIstarttime\fP %llu (was %lu before Linux 2.6)
>>  The time in jiffies the process started after system boot.
>>  .TP
>> -\fIvsize\fP %lu
>> +(23) \fIvsize\fP %lu
>>  Virtual memory size in bytes.
>>  .TP
>> -\fIrss\fP %ld
>> +(24) \fIrss\fP %ld
>>  Resident Set Size: number of pages the process has in real memory.
>>  This is just the pages which
>>  count towards text, data, or stack space.
>>  This does not include pages
>>  which have not been demand-loaded in, or which are swapped out.
>>  .TP
>> -\fIrsslim\fP %lu
>> +(25) \fIrsslim\fP %lu
>>  Current soft limit in bytes on the rss of the process;
>>  see the description of
>>  .B RLIMIT_RSS
>>  in
>>  .BR getpriority (2).
>>  .TP
>> -\fIstartcode\fP %lu
>> +(26) \fIstartcode\fP %lu
>>  The address above which program text can run.
>>  .TP
>> -\fIendcode\fP %lu
>> +(27) \fIendcode\fP %lu
>>  The address below which program text can run.
>>  .TP
>> -\fIstartstack\fP %lu
>> +(28) \fIstartstack\fP %lu
>>  The address of the start (i.e., bottom) of the stack.
>>  .TP
>> -\fIkstkesp\fP %lu
>> +(29) \fIkstkesp\fP %lu
>>  The current value of ESP (stack pointer), as found in the
>>  kernel stack page for the process.
>>  .TP
>> -\fIkstkeip\fP %lu
>> +(30) \fIkstkeip\fP %lu
>>  The current EIP (instruction pointer).
>>  .TP
>>  .\" field 31
>> -\fIsignal\fP %lu
>> +(31) \fIsignal\fP %lu
>>  The bitmap of pending signals, displayed as a decimal number.
>>  Obsolete, because it does not provide information on real-time signals; use
>>  .I /proc/[pid]/status
>>  instead.
>>  .TP
>> -\fIblocked\fP %lu
>> +(32) \fIblocked\fP %lu
>>  The bitmap of blocked signals, displayed as a decimal number.
>>  Obsolete, because it does not provide information on real-time signals; use
>>  .I /proc/[pid]/status
>>  instead.
>>  .TP
>> -\fIsigignore\fP %lu
>> +(33) \fIsigignore\fP %lu
>>  The bitmap of ignored signals, displayed as a decimal number.
>>  Obsolete, because it does not provide information on real-time signals; use
>>  .I /proc/[pid]/status
>>  instead.
>>  .TP
>> -\fIsigcatch\fP %lu
>> +(34) \fIsigcatch\fP %lu
>>  The bitmap of caught signals, displayed as a decimal number.
>>  Obsolete, because it does not provide information on real-time signals; use
>>  .I /proc/[pid]/status
>>  instead.
>>  .TP
>> -\fIwchan\fP %lu
>> +(35) \fIwchan\fP %lu
>>  This is the "channel" in which the process is waiting.
>>  It is the
>>  address of a system call, and can be looked up in a namelist if you
>> @@ -814,42 +814,42 @@
>>  then
>>  try \fIps \-l\fP to see the WCHAN field in action.)
>>  .TP
>> -\fInswap\fP %lu
>> +(36) \fInswap\fP %lu
>>  .\" nswap was added in 2.0
>>  Number of pages swapped (not maintained).
>>  .TP
>> -\fIcnswap\fP %lu
>> +(37) \fIcnswap\fP %lu
>>  .\" cnswap was added in 2.0
>>  Cumulative \fInswap\fP for child processes (not maintained).
>>  .TP
>> -\fIexit_signal\fP %d (since Linux 2.1.22)
>> +(38) \fIexit_signal\fP %d (since Linux 2.1.22)
>>  Signal to be sent to parent when we die.
>>  .TP
>> -\fIprocessor\fP %d (since Linux 2.2.8)
>> +(39) \fIprocessor\fP %d (since Linux 2.2.8)
>>  CPU number last executed on.
>>  .TP
>> -\fIrt_priority\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
>> +(40) \fIrt_priority\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
>>  Real-time scheduling priority, a number in the range 1 to 99 for
>>  processes scheduled under a real-time policy,
>>  or 0, for non-real-time processes (see
>>  .BR sched_setscheduler (2)).
>>  .TP
>>  .\" field 41
>> -\fIpolicy\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
>> +(41) \fIpolicy\fP %u (since Linux 2.5.19; was %lu before Linux 2.6.22)
>>  Scheduling policy (see
>>  .BR sched_setscheduler (2)).
>>  Decode using the SCHED_* constants in
>>  .IR linux/sched.h .
>>  .TP
>> -\fIdelayacct_blkio_ticks\fP %llu (since Linux 2.6.18)
>> +(42) \fIdelayacct_blkio_ticks\fP %llu (since Linux 2.6.18)
>>  Aggregated block I/O delays, measured in clock ticks (centiseconds).
>>  .TP
>> -\fIguest_time\fP %lu (since Linux 2.6.24)
>> +(43) \fIguest_time\fP %lu (since Linux 2.6.24)
>>  Guest time of the process (time spent running a virtual CPU
>>  for a guest operating system), measured in clock ticks (divide by
>>  .IR sysconf(_SC_CLK_TCK) .
>>  .TP
>> -\fIcguest_time\fP %ld (since Linux 2.6.24)
>> +(44) \fIcguest_time\fP %ld (since Linux 2.6.24)
>>  Guest time of the process's children, measured in clock ticks (divide by
>>  .IR sysconf(_SC_CLK_TCK) .
>>  .RE
>> @@ -860,17 +860,17 @@
>>  .in +4n
>>  .nf
>>
>> -size       total program size
>> -           (same as VmSize in \fI/proc/[pid]/status\fP)
>> -resident   resident set size
>> -           (same as VmRSS in \fI/proc/[pid]/status\fP)
>> -share      shared pages (from shared mappings)
>> -text       text (code)
>> +(1) size       total program size
>> +               (same as VmSize in \fI/proc/[pid]/status\fP)
>> +(2) resident   resident set size
>> +               (same as VmRSS in \fI/proc/[pid]/status\fP)
>> +(3) share      shared pages (from shared mappings)
>> +(4) text       text (code)
>>  .\" (not including libs; broken, includes data segment)
>> -lib        library (unused in Linux 2.6)
>> -data       data + stack
>> +(5) lib        library (unused in Linux 2.6)
>> +(6) data       data + stack
>>  .\" (including libs; broken, includes library text)
>> -dt         dirty pages (unused in Linux 2.6)
>> +(7) dt         dirty pages (unused in Linux 2.6)
>>  .fi
>>  .in
>>  .TP
>> @@ -1195,16 +1195,16 @@
>>
>>  .in +4n
>>  .nf
>> -cache              buffer size in KB
>> -capacity           number of sectors
>> -driver             driver version
>> -geometry           physical and logical geometry
>> -identify           in hexadecimal
>> -media              media type
>> -model              manufacturer's model number
>> -settings           drive settings
>> -smart_thresholds   in hexadecimal
>> -smart_values       in hexadecimal
>> +(1)  cache              buffer size in KB
>> +(2)  capacity           number of sectors
>> +(3)  driver             driver version
>> +(4)  geometry           physical and logical geometry
>> +(5)  identify           in hexadecimal
>> +(6)  media              media type
>> +(7)  model              manufacturer's model number
>> +(8)  settings           drive settings
>> +(9)  smart_thresholds   in hexadecimal
>> +(10) smart_values       in hexadecimal
>>  .fi
>>  .in
>>
>> @@ -1606,13 +1606,13 @@
>>  .in +4n
>>  .nf
>>
>> -cache-name
>> -num-active-objs
>> -total-objs
>> -object-size
>> -num-active-slabs
>> -total-slabs
>> -num-pages-per-slab
>> +(1) cache-name
>> +(2) num-active-objs
>> +(3) total-objs
>> +(4) object-size
>> +(5) num-active-slabs
>> +(6) total-slabs
>> +(7) num-pages-per-slab
>>  .fi
>>  .in
>>
>> @@ -1633,8 +1633,8 @@
>>  .IR sysconf(_SC_CLK_TCK)
>>  to obtain the right value),
>>  .\" 1024 on Alpha and ia64
>> -that the system spent in user mode,
>> -user mode with low priority (nice), system mode, and the
>> +that the system spent in (1) user mode,
>> +(2) user mode with low priority (nice), (3) system mode, and (4) the
>>  idle task, respectively.
>>  .\" FIXME Actually, the following info about the /proc/stat 'cpu' field
>>  .\"       does not seem to be quite right (at least in 2.6.12)
>> @@ -1642,19 +1642,24 @@
>>  second entry in the uptime pseudo-file.
>>
>>  In Linux 2.6 this line includes three additional columns:
>> +(5)
>>  .I iowait
>>  \- time waiting for I/O to complete (since 2.5.41);
>> +(6)
>>  .I irq
>>  \- time servicing interrupts (since 2.6.0-test4);
>> +(7)
>>  .I softirq
>>  \- time servicing softirqs (since 2.6.0-test4).
>>
>>  Since Linux 2.6.11, there is an eighth column,
>> +(8)
>>  .I steal
>>  \- stolen time, which is the time spent in other operating systems when
>>  running in a virtualized environment
>>
>>  Since Linux 2.6.24, there is a ninth column,
>> +(9)
>>  .IR guest ,
>>  which is the time spent running a virtual CPU for guest
>>  operating systems under the control of the Linux kernel.
>> @@ -1756,18 +1761,22 @@
>>  (pages requested by system) and two dummy values.
>>  .RS
>>  .IP * 2
>> +(1)
>>  .I nr_dentry
>>  is the number of allocated dentries (dcache entries).
>>  This field is unused in Linux 2.2.
>>  .IP *
>> +(2)
>>  .I nr_unused
>>  is the number of unused dentries.
>>  .IP *
>> +(3)
>>  .I age_limit
>>  .\" looks like this is unused in kernels 2.2 to 2.6
>>  is the age in seconds after which dcache entries
>>  can be reclaimed when memory is short.
>>  .IP *
>> +(4)
>>  .I want_pages
>>  .\" looks like this is unused in kernels 2.2 to 2.6
>>  is non-zero when the kernel has called shrink_dcache_pages() and the
>
>
> --
> Simon Paillard



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#553413; Package manpages. (Wed, 26 Dec 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Wed, 26 Dec 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #22 received at 553413@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com>
To: 553413@bugs.debian.org
Cc: Samuel Thibault <sthibault@debian.org>, Simon Paillard <spaillard@debian.org>, control@bugs.debian.org
Subject: Re: Bug#553413: proc(5): Add field numbers
Date: Thu, 27 Dec 2012 00:37:04 +0100
tags 553413 fixed-upstream
thanks

I've now myself made all of these changes, at the same time as I made
some other changes in proc(5). I omitted this piece of the downstream
patch:

> @@ -1195,16 +1195,16 @@
>
>  .in +4n
>  .nf
> -cache              buffer size in KB
> -capacity           number of sectors
> -driver             driver version
> -geometry           physical and logical geometry
> -identify           in hexadecimal
> -media              media type
> -model              manufacturer's model number
> -settings           drive settings
> -smart_thresholds   in hexadecimal
> -smart_values       in hexadecimal
> +(1)  cache              buffer size in KB
> +(2)  capacity           number of sectors
> +(3)  driver             driver version
> +(4)  geometry           physical and logical geometry
> +(5)  identify           in hexadecimal
> +(6)  media              media type
> +(7)  model              manufacturer's model number
> +(8)  settings           drive settings
> +(9)  smart_thresholds   in hexadecimal
> +(10) smart_values       in hexadecimal
>  .fi
>  .in

That piece didn't make sense, since those items are files, not fields.

I also omitted the slabinfo piece, since really the place for those
details is in the slabinfo(5) page, which is itself seriously out of
date (see FIXMEs in the page source).

Cheers,

Michael



Added tag(s) fixed-upstream. Request was from "Michael Kerrisk (man-pages)" <mtk.manpages@gmail.com> to control@bugs.debian.org. (Wed, 26 Dec 2012 23:39:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Mon, 11 Feb 2013 21:15:03 GMT) Full text and rfc822 format available.

Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Thu, 23 May 2013 22:51:18 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Thu, 23 May 2013 22:51:18 GMT) Full text and rfc822 format available.

Message #31 received at 553413-close@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 553413-close@bugs.debian.org
Subject: Bug#553413: fixed in manpages 3.51-1
Date: Thu, 23 May 2013 22:48:40 +0000
Source: manpages
Source-Version: 3.51-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553413@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Paillard <spaillard@debian.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 23 May 2013 23:05:10 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.51-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Simon Paillard <spaillard@debian.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 182014 235967 533232 542601 553413 575077 578178 620746 674034 676264 692136 699387 700529 704787 705293
Changes: 
 manpages (3.51-1) unstable; urgency=low
 .
   * Imported Upstream version 3.51:
     . new manpages: kcmp.3 s390_runtime_instr.2 if_freenameindex.3
       if_indextoname.3 if_nameindex.3 if_nametoindex.3 (Closes: #235967)
       perf_event_open.2 getcontext.3 getdtablesize.3 pthread_getname_np.3
       pthread_setname_np.3 setcontext.3 sln.8
       fattach.2 fdetach.2 getmsg.2 getunwind.2 isastream.2
       perfmonctl.2 putmsg.2 nss.5
     . ttyname.3: Fix confused text in ERRORS (Closes: #676264)
     . proc.5: Add field numbers for (Closes: #553413)
     . read.2: Remove crufty text about O_NONBLOCK on files (Closes: #700529)
     . read.2: Clarify interaction of count==0 and error check (Closes: #533232)
     . getpeername.2: Clarify semantics of getpeername() for datagram
       sockets (Closes: #674034)
     . mmap.2: Some 'flags' values require a feature test macro to be
       defined (Closes: #542601)
     . resolver.3, resolv.conf.5: RES_DEBUG is only available if glibc is
       compiled with debug support (Closes: #692136)
     . stdarg.3: Describe va_copy() (Closes: #575077)
     . futimes.3: ERRORS: Add ENOSYS for lutimes() (Closes: #620746)
     . units.7: units should use an actual ยต (Closes: #704787)
     . access.2: Clarify RETURN VALUE for F_OK (Closes: #705293)
     . resolv.conf.5: Document "single-request-reopen" option (Closes: #699387)
     . bootparam.7: Document 'rootfstype' option (Closes: #182014)
     . ioperm.2: Linux 2.6.8 lifted the port limit to 65,536 (Closes: #578178)
   * d/rules: build-{arch,indep} as required by policy 3.9.4
   * lintian overrides: FSSTND-dir-in-manual-page are alternate path
Checksums-Sha1: 
 f277d33dc4ae2e2824fd7f2d747ec18f272a0d59 1907 manpages_3.51-1.dsc
 96c93e69f4e5db0952361b25db3eb3c19504ac1f 1828168 manpages_3.51.orig.tar.gz
 beaf9204e88e4406e7afd7d6014e7ea7af620e2f 47215 manpages_3.51-1.diff.gz
 db917de30d91a0382c32b8a71a57331eb0da7d40 823120 manpages_3.51-1_all.deb
 3d8a2bba0b3c9cb0ef8e4ab545eb37b5b1bf1974 1803556 manpages-dev_3.51-1_all.deb
Checksums-Sha256: 
 bf5b05f49b85e86052694c2c80fc1a9119437c88b60f0606d786b301b1c6f07b 1907 manpages_3.51-1.dsc
 f6639351a6a9e7fd9a82bae7dbefa8cb73557794e04a5d6a05bf8f64b8457bad 1828168 manpages_3.51.orig.tar.gz
 0151dd7c6eeeae5f3e764b5a5ac03fa6a48e3c36eeaa19e550de2ccbf0cfb337 47215 manpages_3.51-1.diff.gz
 fd60606aecff76039e414d9930b528900c90916f226ab61e24a1ce782de85916 823120 manpages_3.51-1_all.deb
 ebf111927854d749bfe4b1b510fe4ac49b965ed3466795a0456c144de3e5311f 1803556 manpages-dev_3.51-1_all.deb
Files: 
 233eff29953c78f8c1257fda9f31a6d2 1907 doc important manpages_3.51-1.dsc
 bed1627674356ec85492c5e94619b23d 1828168 doc important manpages_3.51.orig.tar.gz
 3144b81732373b7f027c071c58f6c230 47215 doc important manpages_3.51-1.diff.gz
 4df5993a51d7985a0a271d0a4bf19d79 823120 doc important manpages_3.51-1_all.deb
 075aa05d2cae81593bf807ad5b56585f 1803556 doc optional manpages-dev_3.51-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRnplOAAoJEN/3OMLRbPuiX0EP/0++s6v9aB7OtKEXos4RnFbQ
SAOyHWgLaBJ7ui/nb0OfUHWhZ3DxfgkGQmcDw0EU86pvr5FAJinMKV0rJ7s4YacY
VxL5Ryw0VlvnTBWt017c2GgRxFtMUZFY3wvuvB4hJRCnjFujR3e8ARvDjmYTGr/0
xIP/5dMqEXJIKKFBdg3PDI1p+MqG5xapINBX2kegRI6bAWmEXq356JkIvGy2QuLU
OKkrFeKijgaij8ZPuwDqrq2Wax3wsB8Qn4RKM64zRZpilEDvRZZHBBHwpdDFl8rr
iIlFuXeC0fePVMefJ1u7T8X640hoFMNBcYU5lJdT4rHKPlqDJFIU+C9SlRH1kxYX
+0x4EgzOxzLZfXmP0FoQpeCC4kOqpLOteFHylLHFr9RItKHmFdvBiPCGTjuAb71c
dtPJLx+LgXoHagvOI9wc1aS6AAsVove1PRJtAaj7jNK5SJX+o0chT2rWXkw2HHYy
sJMLb5ePdwP15IsuUwkN8XDyWsnEfPyM+hIgoPByyNZolEsrzXKlpAl62I5cCI/D
8LHgLmAhKEsRwbvvy9EhgzV5+qAS5ABL6T1BB55ZRKZ8omkMq5AXeHGhgYwISeYp
AdM4DTI0kWZ7yNgrJxsIMtewPgR2pI1Cgf+B7xzZHfP94+ogSKEq/jdvgJEml9St
INgTr6jypYWrNIjoJenf
=cbGv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Jul 2013 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:55:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.